#!/usr/bin/env ruby

require 'rubygems'
require 'mini_magick'

Dir['image-*'].each do |filename|
  image = MiniMagick::Image.from_file(filename)
  image.scale("100x100")
  image.frame("2x2")
  image.write(filename.gsub('image-', 'image-prepared'))
end

Dir['noise-*'].each do |filename|
  image = MiniMagick::Image.from_file(filename)
  image.scale("100x100")
  image.frame("2x2")
  image.write(filename.gsub('noise-', 'noise-prepared'))
end
